#!/usr/bin/gawk -f

BEGIN{
  n = 0;
  nd = 0;
  lastd = 0;
  sum = 0

  LAST=ARGV[1]+0; ARGV[1]="";
  pi = 3.1415926535;
}
{
  d = $1;
  S = pi*(d/2.)**2;
  n++;
  sum = sum+S;
}
(NR == 1) {
  print d, 0;
  lastd = d;
}
(d != lastd) {
  print lastd, sum-S;
  lastd = d;
}
END{
  print d, sum;
  print LAST, sum;
}

