#!/usr/bin/gnuplot

load "D.lab"
D=525

S = 4.*pi*(D/2.)**2
f(N)=N

set term x11

set xl "D_c [km]"
set yl "S(>D)"

set logscale x
set xtics (\
  "10" 10 0,\
  "20" 20 0,\
  "30" 30 0,\
  "40" 40 0,\
  "50" 50 0,\
  "60" 60 0,\
  "70" 70 0,\
  "80" 80 0,\
  "90" 90 0,\
  "100" 100 0,\
  "200" 200 0,\
  "300" 300 0,\
  "400" 400 0,\
  "500" 500 0,\
  "600" 600 0,\
  "700" 700 0,\
  "800" 800 0,\
  "900" 900 0,\
  "1000" 1000 0,\
  )

p "S_hist.dat_hc" u 1:2 w lp,\
  S w l lt 0

pa -1

set term png small
set out "craters_hist5.png"
rep


